<?php
include '../config.php';
$id = trim($_GET['id']);
$id = strip_tags($id);
$id = htmlspecialchars($id);

$enviado = $_GET['enviado'];

$nombre = trim(urldecode($_GET['nombre']));
$email = trim($_GET['email']);
$rol = trim($_GET['rol']);

$nombreen = urlencode($nombreen);
$nombrees = urlencode($nombrees);

$curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $endpoint_graph_cms,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',

    CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updateUsuarioAdmin(data: {nombre: \\"'.$nombre.'\\", rol: \\"'.$rol.'\\",  enviadoRevision: \\"'.$enviado.'\\", estatus: \\"publicado\\", localizations: {update: {data: { estatus: \\"publicado\\", enviadoRevision: \\"'.$enviado.'\\", email: \\"'.$email.'\\", rol: \\"'.$rol.'\\", nombre: \\"'.$nombre.'\\"}, locale: es_MX}}, email: \\"'.$email.'\\"}, where: {id: \\"'.$id.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n \\r\\n}\\r\\n","variables":{}}',
    CURLOPT_HTTPHEADER => array(
      'Content-Type: application/json',
      'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
    ),
  ));
  
  
$response = curl_exec($curl);

curl_close($curl);
//echo $response;

$jsonrespuesta = json_decode($response, true);
$id = $jsonrespuesta['data']['updateUsuarioAdmin']['id'];

//echo $id;


  $sucess = "<p class='successmsg'>Usuario actualizado</script>";
  $fail = "<p class='errormsg'>Falló la actualización..</p> ";


if(strlen($id)>10){

    echo $sucess;

    $string = $newstatus;
    $string = '"'.$string.'"';
    echo '<script>
        
        setTimeout(() => {
            $(".popUpEnlace").fadeOut();
        }, 1500);
    </script>';
}

else{
    echo $fail;
}